# PetscStrncmp

Compares two strings, up to a certain length

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscStrncmp(const char a[],const char b[],size_t n,PetscTruth *t)

Not Collective

### Input Parameters

| a | - pointer to first string
| b | - pointer to second string
| n | - length to compare up to

### Output Parameter

t -if the two strings are equal

### See Also

PetscStrgrt(), PetscStrcmp(), PetscStrcasecmp()

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages